[build-system]
requires = ["setuptools>=42", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "graph-intrusion-detection"
version = "0.1.0"
description = "A graph-based intrusion detection system."
authors = [
    { name = "Alex Blank", email = "alexblank@fastmail.com" }
]
license = { text = "MIT" }
readme = "README.md"
keywords = ["intrusion-detection", "graph-analysis", "network-security"]
classifiers = [
    "Development Status :: 3 - Alpha",
    "Intended Audience :: Developers",
    "Topic :: Security",
    "License :: OSI Approved :: MIT License",
    "Programming Language :: Python :: 3.11"
]
dependencies = [
    "keras>=2.15.0",
    "tqdm>=4.66.1",
    "networkx>=3.2.1",
    "numpy>=1.26.2",
    "pandas>=2.1.3",
    "scikit-learn>=1.3.2",
    "scipy>=1.11.4",
    "tensorflow>=2.15.0",
    "python-dotenv>=1.0.1",
    "kafka-python>=2.0.2",
    "redis>=5.0.1",
]

[project.optional-dependencies]
dev = [
    "matplotlib",
]

